#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-HqQYNGpxlIP3dW7VQOTAO4
key:                  lsp-1.6.0.0-HqQYNGpxlIP3dW7VQOTAO4
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  de2a6908c25e3ce2b3849ca14e3cfd7d
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-7RtHcrJcyEfJzpNgITRj4t:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-7RtHcrJcyEfJzpNgITRj4t:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-7RtHcrJcyEfJzpNgITRj4t:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-HqQYNGpxlIP3dW7VQOTAO4
depends:
    aeson-2.1.2.1-JT1gbb2shwLLy3Tf1UBGhr
    async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-L7VTmm7vDKMCukUYiUxbnG base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.5-2PFPfiiXMUpHEcQBv7p6jc
    containers-0.6.7 data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    lens-5.2.3-ArsxVRMhbU6E8JS3Z9lSQN
    lsp-types-1.6.0.1-7RtHcrJcyEfJzpNgITRj4t mtl-2.2.2
    prettyprinter-1.7.1-D3sioF8aQdWB1PWrDshF2j
    random-1.2.1.2-CIdm787tMz7D0SA4JfQInB
    sorted-list-0.2.3.1-4V4Gciy2KsRAQ0io3xaorl stm-2.5.1.0
    temporary-1.3-DiUtnHq59dHLFRsQDPnjYs text-2.0.2
    text-rope-0.3-6WT6imN93PQAT6gKqUdO5Z transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-GHxywVRZMTgDKQfzKfhJsl
    uuid-1.3.16-1GALx1C1CuiKOGL5GbNMQg

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

